# UniTAP.dev.ports.modules.link.hdmi.frl_caps_rx

class FrlControlRx:

Class `FrlControlRx` contains information about FRL on Sink (RX - receiver) side. allows working with:

- Set and get FRL mode `frl_mode`.
- Set and get FRL capabilities `frl_caps`.
- Set and get LTP requested `ltp_request` and additional `ltp_additional`.

FrlControlRx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
frl_mode: UniTAP.dev.ports.modules.link.hdmi.types.FrlMode

Returns current FRL mode.

###### Returns:

> object of `FrlMode` type

frl_caps: UniTAP.dev.ports.modules.link.hdmi.types.FrlCaps

Returns current FRL capabilities.

###### Returns:

> object of `FrlCaps` type

ltp_request: UniTAP.dev.ports.modules.link.hdmi.types.LtpLanesPattern

Returns current LTP lanes pattern. Current Pattern that is being checking during Link Training. Each lane can request different pattern.

###### Returns:

> object of `LtpLanesPattern` type

ltp_additional: UniTAP.dev.ports.modules.link.hdmi.types.LtpLanesPattern

Returns current additional LTP lanes pattern. Current Pattern that is being checking during Link Training. Each lane can request different pattern.

###### Returns:

> object of `LtpLanesPattern` type

def re_train(self):

DO re train.